package com.ruoyi.frequency.level.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.frequency.level.entity.Level;

import java.util.List;

/**
 * 等级Mapper接口
 * 
 * @author liwenlong
 * @date 2023-10-19
 */
public interface LevelMapper  extends BaseMapper<Level>
{
    /**
     * 查询等级
     * 
     * @param id 等级主键
     * @return 等级
     */
    public Level selectLevelById(Long id);

    /**
     * 查询等级列表
     * 
     * @param level 等级
     * @return 等级集合
     */
    public List<Level> selectLevelList(Level level);

    /**
     * 新增等级
     * 
     * @param level 等级
     * @return 结果
     */
    public int insertLevel(Level level);

    /**
     * 修改等级
     * 
     * @param level 等级
     * @return 结果
     */
    public int updateLevel(Level level);

    /**
     * 删除等级
     * 
     * @param id 等级主键
     * @return 结果
     */
    public int deleteLevelById(Long id);

    /**
     * 批量删除等级
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLevelByIds(Long[] ids);
}
